import { IShape } from "./Shape/IShape";
import { ILinks } from "./Links/ILinks";
import { IMove } from "./Move/IMove";
import { IParticlesNumber } from "./Number/IParticlesNumber";
import { IOpacity } from "./Opacity/IOpacity";
import { ISize } from "./Size/ISize";
import { IRotate } from "./Rotate/IRotate";
import { IShadow } from "./IShadow";
import { SingleOrMultiple } from "../../../Types";
import { IStroke } from "./IStroke";
import { ICollisions } from "./Collisions/ICollisions";
import { ITwinkle } from "./Twinkle/ITwinkle";
import { IAnimatableColor } from "./IAnimatableColor";
import { ILife } from "./Life/ILife";
import { IBounce } from "./Bounce/IBounce";
import { IDestroy } from "./Destroy/IDestroy";
import { IWobble } from "./Wobble/IWobble";
import { ITilt } from "./Tilt/ITilt";
import { IRoll } from "./Roll/IRoll";
export interface IParticles {
    line_linked: ILinks;
    lineLinked: ILinks;
    bounce: IBounce;
    collisions: ICollisions;
    color: IAnimatableColor;
    destroy: IDestroy;
    life: ILife;
    links: ILinks;
    move: IMove;
    number: IParticlesNumber;
    opacity: IOpacity;
    reduceDuplicates: boolean;
    roll: IRoll;
    rotate: IRotate;
    shadow: IShadow;
    shape: IShape;
    size: ISize;
    stroke: SingleOrMultiple<IStroke>;
    tilt: ITilt;
    twinkle: ITwinkle;
    wobble: IWobble;
}
